<!--<?xml version="1.0" encoding="UTF-8"?>-->
<xsl:stylesheet version="1.0" 	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:str="http://www.ora.com/XSLTCookbook/namespaces/strings"
				xmlns:text="http://www.ora.com/XSLTCookbook/namespaces/text"
				extension-element-prefixes="text">

<xsl:include href="./texte-justifie.xsl"/>

<xsl:output method="text"/>
<xsl:strip-space elements="*" />



<xsl:template match="/">	
	<xsl:apply-templates select="//TABLE" />
</xsl:template>


<!--

<xsl:template match="VOTABLE">
	<xsl:apply-templates/>
</xsl:template>


<xsl:template match="RESOURCE">	
	<xsl:apply-templates/>	
</xsl:template>


<xsl:template match="INFO">	
</xsl:template>
-->

<!-- on place le tout dans une balise <pre> car IE6 inteprete  method="text" comme du html -->

<xsl:template match="TABLE">
	<xsl:variable name="titlePos">
		<xsl:for-each select="FIELD">
			<xsl:if test="@name = 'title'">	
				<xsl:value-of select="position()"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:variable>
	
	<xsl:variable name="partitionPos">
		<xsl:for-each select="FIELD">
			<xsl:if test="@name = 'partition function link'">	
				<xsl:value-of select="position()"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:variable>
	
	<xsl:variable name="referencePos">
		<xsl:for-each select="FIELD">
			<xsl:if test="@name = 'reference'">	
				<xsl:value-of select="position()"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:variable>
	
	<xsl:variable name="notePos">
		<xsl:for-each select="FIELD">
			<xsl:if test="@name = 'note'">	
				<xsl:value-of select="position()"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:variable>
	
	<xsl:variable name="upperQNPos">
		<xsl:for-each select="FIELD">
			<xsl:if test="@name = 'upper quantum numbers'">	
				<xsl:value-of select="position()"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:variable>
	
	<xsl:variable name="lowerQNPos">
		<xsl:for-each select="FIELD">
			<xsl:if test="@name = 'lower quantum numbers'">	
				<xsl:value-of select="position()"/>
			</xsl:if>
		</xsl:for-each>
	</xsl:variable>

	<xsl:for-each select="FIELD">
		<xsl:choose>
			<!-- si l'unite est precisee -->
			<xsl:when test="@unit">
				<xsl:call-template name="text:justifie">
					<xsl:with-param name="valeur" select="concat(@name,' (',@unit, ') ')"/>
					<xsl:with-param name="largeur" select="35"/>
				</xsl:call-template>
			</xsl:when>
			
			<!--  -->
			<xsl:when test="position() = $titlePos or position() = $partitionPos or position()=$referencePos">
				<xsl:call-template name="text:justifie">
					<xsl:with-param name="valeur" select="@name"/>
					<xsl:with-param name="largeur" select="100"/>
				</xsl:call-template>
			</xsl:when>
			
			<xsl:when test="position()=$notePos">
				<xsl:call-template name="text:justifie">
					<xsl:with-param name="valeur" select="@name"/>
					<xsl:with-param name="largeur" select="250"/>
				</xsl:call-template>
			</xsl:when>
			
			<!--  -->
			<xsl:when test="position() = $upperQNPos or position() = $lowerQNPos">
				<xsl:call-template name="text:justifie">
					<xsl:with-param name="valeur" select="@name"/>
					<xsl:with-param name="largeur" select="50"/>
				</xsl:call-template>
			</xsl:when>
		
			<!-- s'il n'y a pas d'unite -->
			<xsl:otherwise>
				<xsl:call-template name="text:justifie">
					<xsl:with-param name="valeur" select="@name"/>
					<xsl:with-param name="largeur" select="35"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:for-each>

	<xsl:text>&#10;</xsl:text> 

	<xsl:for-each select="DATA">
		<xsl:for-each select="TABLEDATA">
			<xsl:for-each select="TR">
				<xsl:for-each select="TD">
					<xsl:choose>
						<xsl:when test="position() = $titlePos or position() = $partitionPos or position()=$referencePos">
							<xsl:call-template name="text:justifie">
								<xsl:with-param name="valeur" select="."/>
								<xsl:with-param name="largeur" select="100"/>
							</xsl:call-template>
						</xsl:when>
						
						<xsl:when test="position() = $upperQNPos or position() = $lowerQNPos">
							<xsl:call-template name="text:justifie">
								<xsl:with-param name="valeur" select="."/>
								<xsl:with-param name="largeur" select="50"/>
							</xsl:call-template>
						</xsl:when>
						
						<xsl:when test="position() = $notePos">
							<xsl:call-template name="text:justifie">
								<xsl:with-param name="valeur" select="."/>
								<xsl:with-param name="largeur" select="250"/>
							</xsl:call-template>
						</xsl:when>
						
						<xsl:otherwise>
							<xsl:call-template name="text:justifie">
								<xsl:with-param name="valeur" select="."/>
								<xsl:with-param name="largeur" select="35"/>
							</xsl:call-template>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:for-each>
			<xsl:text>&#10;</xsl:text> 
			</xsl:for-each>
		</xsl:for-each>
	</xsl:for-each>
</xsl:template>


</xsl:stylesheet>